package cz.senslog.connector.model.drutes;

import java.time.OffsetDateTime;

public class PredictionData {

    private final long unitId;
    private final long sensorId;
    private final OffsetDateTime predictCreated;
    private final OffsetDateTime predictFrom;
    private final long timeshift;
    private final double [] values;

    public PredictionData(long unitId, long sensorId, long timestamp, double [] values, OffsetDateTime predictCreated, OffsetDateTime predictFrom) {
        this.unitId = unitId;
        this.sensorId = sensorId;
        this.timeshift = timestamp;
        this.values = values;
        this.predictCreated = predictCreated;
        this.predictFrom = predictFrom;
    }

    public long getUnitId() {
        return unitId;
    }

    public long getSensorId() {
        return sensorId;
    }

    public long getTimeshift() {
        return timeshift;
    }

    public double[] getValues() {
        return values;
    }

    public OffsetDateTime getPredictCreated() {
        return predictCreated;
    }

    public OffsetDateTime getPredictFrom() {
        return predictFrom;
    }
}
